Subject: [clisp-list] Q: problem with RUN-PROGRAM and EXECUTE in Win32

From: lin8080 <[email-masked]>
Date: Mon Mar 4 13:47:05 2002

> [email-masked] schrieb:

> Well, I think I have really tried everything now, but I am not getting
> the same results as others who have tried to help me.

> lisp-implementation-type) returns: 
                      ^^^^ = version
> "2.27 (released 2001-07-17) (built 3204312676) (memory 3223661245)"

> Also,EXECUTE does not work properly for me, so at this point I am
> unable to continue trying to port a UNIX-based CLISP program to
> Windows.

> Any additional insight on what might be my problem would be greatly
> appreciated.  My paths are set properly, but RUN-PROGRAM won't run any
> executable, regardless of whether it is in my path or whether I am in
> the directory where the exe is located.

Hallo

win98 autoexec.bat (part)
PATH=C:\WINDOWS;C:\WINDOWS\COMMAND;C:\CLISP;

(lisp-implementation-type) returns: 
"CLISP"

lisp-implementation-version) returns: 
"2000-03-06 (March 2000)"
or 
(lisp-implementation-version) returns: 

"2.27 (released 2001-07-17) (built 3204291076) (memory 3602426290)"

(run-program "dir" :indirectp :output)
shows a dos-like dir

(execute "editor.exe")
opens the editor.

What goes wrong on your windows? Is it possible a windows error?

stefan

why does (clisp) not return "hallo" ?